> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Non-Exported Data

> **Required plan:** Standard, Professional, or Enterprise.

Get data that has never been exported. Use 'Mark Data as Exported' to mark data after processing so it won't appear here again.



## OpenAPI

````yaml /en/api/openapi.json get /data/notexported
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /data/notexported:
    get:
      tags:
        - Data
      summary: Get Non-Exported Data
      description: >-
        **Required plan:** Standard, Professional, or Enterprise.


        Get data that has never been exported. Use 'Mark Data as Exported' to
        mark data after processing so it won't appear here again.
      operationId: getNonExportedData
      parameters:
        - name: taskId
          in: query
          required: true
          schema:
            type: string
        - name: size
          in: query
          required: true
          schema:
            type: integer
          description: Number of rows to return
      responses:
        '200':
          description: Non-exported data retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                      total:
                        type: integer
                      current:
                        type: integer
                  requestId:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use the access_token obtained from POST /token

````